Subject: Issues with git diff-tree --quiet --ignore-space-change

From: Sebastian Schuberth <[email-masked]>
Date: Tue, 14 Jul 2015 23:03:14 +0200

Hi,

I believe there's something wrong with diff-tree's --ignore-space-change option in conjunction with --quiet. In Git's repo, I get

$ git --version
git version 2.4.5

$ git diff-tree --quiet --ignore-space-change c925fe23684455735c3bb1903803643a24a58d8f ; echo $?
c925fe23684455735c3bb1903803643a24a58d8f
0

First question is, why do I see the SHA1 printed to the output, esp. as I specified --quiet?

Secondly, the exit code of 0 indicates there's no diff. However, using

$ git diff-tree --patch --ignore-space-change c925fe23684455735c3bb1903803643a24a58d8f

I see the diff (which does not only consist of whitespaces).

If I omit --ignore-space-change the return value is correct:

$ git diff-tree --quiet c925fe23684455735c3bb1903803643a24a58d8f ; echo $?
c925fe23684455735c3bb1903803643a24a58d8f
1

Am I missing something, or are these bugs?

-- 
Sebastian Schuberth